---
title: SpeechSynthesisVoice.voiceURI
slug: Web/API/SpeechSynthesisVoice/voiceURI
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechSynthesisVoice
  - Web Speech API
  - speech
  - synthesis
  - voiceURI
---
<div>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</div>

<p>The <code><strong>voiceURI</strong></code> read-only property of the {{domxref("SpeechSynthesisVoice")}} interface returns the type of URI and location of the speech synthesis service for this voice.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myVoiceURI = speechSynthesisVoiceInstance.voiceURI;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} representing the URI of the voice. This is a generic URI and can point to local or remote services, e.g. it could be a proprietary system URN or a URL to a remote service.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">for(i = 0; i &lt; voices.length ; i++) {
  var option = document.createElement('option');
  option.textContent = voices[i].name + ' (' + voices[i].lang + ')';

  if(voices[i].default) {
    option.textContent += ' -- DEFAULT';
  }

  console.log(voices[i].voiceURI);
  // On Mac, this returns URNs, for example 'urn:moz-tts:osx:com.apple.speech.synthesis.voice.daniel'

  option.setAttribute('data-lang', voices[i].lang);
  option.setAttribute('data-name', voices[i].name);
  voiceSelect.appendChild(option);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Speech API', '#dom-speechsynthesisvoice-voiceuri', 'voiceURI')}}</td>
   <td>{{Spec2('Web Speech API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SpeechSynthesisVoice.voiceURI")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
